# Interface VulkanSamplerCreateInfoType

All Known Implementing Classes:
  `VulkanSamplerCreateInfo`

@Immutable public interface VulkanSamplerCreateInfoType
Structure specifying how to create a sampler.

See Also:
  - "VkSamplerCreateInfo"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default VulkanSamplerAddressMode`
  `addressModeU()`
  `default VulkanSamplerAddressMode`
  `addressModeV()`
  `default VulkanSamplerAddressMode`
  `addressModeW()`
  `default VulkanBorderColor`
  `borderColor()`
  `Optional<VulkanCompareOp>`
  `compareOp()`
  `Set<VulkanSamplerCreateFlag>`
  `flags()`
  `default VulkanFilter`
  `magFilter()`
  `OptionalDouble`
  `maxAnisotropy()`
  If this value is non-empty, enable anisotropic filtering using the given amount of anisotropy.
  `default float`
  `maxLod()`
  `default VulkanFilter`
  `minFilter()`
  `default float`
  `minLod()`
  `default float`
  `mipLodBias()`
  `default VulkanSamplerMipmapMode`
  `mipmapMode()`
  `default boolean`
  `unnormalizedCoordinates()`

- ## Method Details

  - ### flags

    Set<VulkanSamplerCreateFlag> flags()
    Returns:
      A set of flags describing additional parameters of the sampler.

  - ### magFilter

    @Default default VulkanFilter magFilter()
    Returns:
      The magnification filter to apply to lookups.

  - ### minFilter

    @Default default VulkanFilter minFilter()
    Returns:
      The minification filter to apply to lookups.

  - ### mipmapMode

    @Default default VulkanSamplerMipmapMode mipmapMode()
    Returns:
      The mipmap filter to apply to lookups.

  - ### addressModeU

    @Default default VulkanSamplerAddressMode addressModeU()
    Returns:
      The addressing mode for outside [0..1] range for U coordinates.

  - ### addressModeV

    @Default default VulkanSamplerAddressMode addressModeV()
    Returns:
      The addressing mode for outside [0..1] range for V coordinates.

  - ### addressModeW

    @Default default VulkanSamplerAddressMode addressModeW()
    Returns:
      The addressing mode for outside [0..1] range for W coordinates.

  - ### mipLodBias

    @Default default float mipLodBias()
    Returns:
      The bias to be added to mipmap LOD (level-of-detail) calculation and bias provided by the image sampling functions in SPIR-V.

  - ### maxAnisotropy

    OptionalDouble maxAnisotropy()
    If this value is non-empty, enable anisotropic filtering using the given amount of anisotropy.
    Returns:
      The anisotropy value clamp used by the sampler

  - ### compareOp

    Optional<VulkanCompareOp> compareOp()
    Returns:
      A value specifying the comparison function to apply to fetched data before filtering

  - ### minLod

    @Default default float minLod()
    Returns:
      The minimum LOD clamp value

  - ### maxLod

    @Default default float maxLod()
    Returns:
      The maximum LOD clamp value

  - ### borderColor

    @Default default VulkanBorderColor borderColor()
    Returns:
      The predefined border color to use.

  - ### unnormalizedCoordinates

    @Default default boolean unnormalizedCoordinates()
    Returns:
      `true` if the sampler coordinates should unnormalized